%define upstream_name    Text-BibTeX
%define upstream_version 0.72

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Interface to read and parse BibTeX files 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny) >= 0.60.0
BuildRequires: perl(Config::AutoConf) >= 0.160.0
BuildRequires: perl(ExtUtils::CBuilder) >= 0.270.0
BuildRequires: perl(ExtUtils::LibBuilder) >= 0.20.0
BuildRequires: perl(File::Copy)
BuildRequires: perl(Module::Build) >= 0.360.300
BuildRequires: perl(Scalar::Util) >= 1.420.0
BuildRequires: perl-devel
%description
The Text::BibTeX module serves mainly as a high-level introduction to the
Text::BibTeX library, for both code and documentation purposes. The code loads
the two fundamental modules for processing BibTeX files (Text::BibTeX::File and
Text::BibTeX::Entry), and this documentation gives a broad overview of the
whole library that isn't available in the documentation for the individual
modules that comprise it.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 
perl -pi -e 's|#!/usr/local/bin/perl5?|#!/usr/bin/perl|' scripts/* examples/*

%build
%{__perl} Build.PL --installdirs=vendor
./Build


%install
./Build install --destdir=%{buildroot}
#install -d -m 755 %{buildroot}%{_bindir}
#install -m 755 btformat btcheck btsort %{buildroot}%{_bindir}
mv %{buildroot}%{_bindir}/bibparse %{buildroot}%{_bindir}/bibparse-perl

%files
%doc Changes META.json META.yml MYMETA.yml README THANKS examples
%{perl_vendorarch}/Text
%{perl_vendorarch}/auto/Text
%{_mandir}/*/*
%{_bindir}/*
%{_libdir}/libbtparse.so

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.720.0-2pclos2017
- rebuild against updates

